package com.swago.baseswago.model;

/**
 * @date 2021/8/23 16:45
 * description:
 */
public class UserInfoModel {

    /**
     * id : string
     * user_name : string
     * user_sex : string
     * user_age : string
     * user_signature : string
     * user_fans_num : string
     * user_follow_num : string
     * user_head_img_url : string
     * created_at : string
     */

    private String id;
    private String user_account;
    private String user_name;
    private int user_sex;
    private String user_age;
    private String user_signature;
    private String user_fans_num;
    private String user_follow_num;
    private String user_head_img_url;
    private String created_at;
    private String user_constellation;
    private String group_id;
    private String user_country;
    private String user_coins;
    private String user_diamonds;
    private int user_type;
    private String user_level;
    private String user_jingyan_value;
    private String user_wealth_level;
    private String next_wealth_level;
    private String next_wealth_need_jingyan;
    private String next_user_level;
    private String next_user_need_jingyan;
    private int is_benefit;
    private int is_new;




    public String getUser_constellation() {
        return user_constellation;
    }

    public void setUser_constellation(String user_constellation) {
        this.user_constellation = user_constellation;
    }

    public String getUser_account() {
        return user_account;
    }

    public void setUser_account(String user_account) {
        this.user_account = user_account;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public int getUser_sex() {
        return user_sex;
    }

    public void setUser_sex(int user_sex) {
        this.user_sex = user_sex;
    }

    public String getUser_age() {
        return user_age;
    }

    public void setUser_age(String user_age) {
        this.user_age = user_age;
    }

    public String getUser_signature() {
        return user_signature;
    }

    public void setUser_signature(String user_signature) {
        this.user_signature = user_signature;
    }

    public String getUser_fans_num() {
        return user_fans_num;
    }

    public void setUser_fans_num(String user_fans_num) {
        this.user_fans_num = user_fans_num;
    }

    public String getUser_follow_num() {
        return user_follow_num;
    }

    public void setUser_follow_num(String user_follow_num) {
        this.user_follow_num = user_follow_num;
    }

    public String getUser_head_img_url() {
        return user_head_img_url;
    }

    public void setUser_head_img_url(String user_head_img_url) {
        this.user_head_img_url = user_head_img_url;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getGroup_id() {
        return group_id;
    }

    public void setGroup_id(String group_id) {
        this.group_id = group_id;
    }

    public String getUser_country() {
        return user_country;
    }

    public void setUser_country(String user_country) {
        this.user_country = user_country;
    }

    public String getUser_coins() {
        return user_coins;
    }

    public void setUser_coins(String user_coins) {
        this.user_coins = user_coins;
    }

    public String getUser_diamonds() {
        return user_diamonds;
    }

    public void setUser_diamonds(String user_diamonds) {
        this.user_diamonds = user_diamonds;
    }

    public int getUser_type() {
        return user_type;
    }

    public void setUser_type(int user_type) {
        this.user_type = user_type;
    }

    public String getUser_level() {
        return user_level;
    }

    public void setUser_level(String user_level) {
        this.user_level = user_level;
    }

    public String getUser_wealth_level() {
        return user_wealth_level;
    }

    public void setUser_wealth_level(String user_wealth_level) {
        this.user_wealth_level = user_wealth_level;
    }

    public String getUser_jingyan_value() {
        return user_jingyan_value;
    }

    public void setUser_jingyan_value(String user_jingyan_value) {
        this.user_jingyan_value = user_jingyan_value;
    }

    public String getNext_wealth_level() {
        return next_wealth_level;
    }

    public void setNext_wealth_level(String next_wealth_level) {
        this.next_wealth_level = next_wealth_level;
    }

    public String getNext_wealth_need_jingyan() {
        return next_wealth_need_jingyan;
    }

    public void setNext_wealth_need_jingyan(String next_wealth_need_jingyan) {
        this.next_wealth_need_jingyan = next_wealth_need_jingyan;
    }

    public String getNext_user_level() {
        return next_user_level;
    }

    public void setNext_user_level(String next_user_level) {
        this.next_user_level = next_user_level;
    }

    public String getNext_user_need_jingyan() {
        return next_user_need_jingyan;
    }

    public void setNext_user_need_jingyan(String next_user_need_jingyan) {
        this.next_user_need_jingyan = next_user_need_jingyan;
    }

    public int getIs_benefit() {
        return is_benefit;
    }

    public void setIs_benefit(int is_benefit) {
        this.is_benefit = is_benefit;
    }

    public int getIs_new() {
        return is_new;
    }

    public void setIs_new(int is_new) {
        this.is_new = is_new;
    }
}
